Blob Blame Raw
			     BASH PATCH REPORT
			     =================

Bash-Release:	4.2
Patch-ID:	bash42-042

Bug-Reported-by:	Adam Pippin <adam@gp-inc.ca>
Bug-Reference-ID:	<CAPYbNHr6ucZFOoWsRdUJj6KP3Ju0j1bkESa_cmb7iU+kZwdVpg@mail.gmail.com>
Bug-Reference-URL:	http://lists.gnu.org/archive/html/bug-bash/2012-11/msg00087.html

Bug-Description:

Compilation failed after specifying the  `--enable-minimal-config' option to
configure (more specifically, specifying `--disable-alias').

Patch (apply with `patch -p0'):

*** ../bash-4.2-patched/parse.y	2012-07-08 21:53:33.000000000 -0400
--- parse.y	2012-10-14 20:20:34.000000000 -0400
***************
*** 2394,2397 ****
--- 2392,2396 ----
  	   to consume the quoted newline and move to the next character in
  	   the expansion. */
+ #if defined (ALIAS)
  	if (expanding_alias () && shell_input_line[shell_input_line_index+1] == '\0')
  	  {
***************
*** 2404,2408 ****
  	    goto next_alias_char;	/* and get next character */
  	  }
! 	else	    
  	  goto restart_read;
      }
--- 2403,2408 ----
  	    goto next_alias_char;	/* and get next character */
  	  }
! 	else
! #endif 
  	  goto restart_read;
      }

*** ../bash-4.2-patched/patchlevel.h	Sat Jun 12 20:14:48 2010
--- patchlevel.h	Thu Feb 24 21:41:34 2011
***************
*** 26,30 ****
     looks for to find the patch level (for the sccs version string). */
  
! #define PATCHLEVEL 41
  
  #endif /* _PATCHLEVEL_H_ */
--- 26,30 ----
     looks for to find the patch level (for the sccs version string). */
  
! #define PATCHLEVEL 42
  
  #endif /* _PATCHLEVEL_H_ */